Module types :: Class instance

[show private | hide private]
[frames | no frames]

## Class instance

    object --+
             |
            instance

Method Summary
a new object with type S, a subtype of T | ``__new__`(S, ...)` T.__new__(S, ...) -> a new object with type S, a subtype of T

Class Variable Summary
`wrapper_descriptor` | `__abs__`
`wrapper_descriptor` | `__add__`
`wrapper_descriptor` | `__and__`
`wrapper_descriptor` | `__call__`
`wrapper_descriptor` | `__cmp__`
`wrapper_descriptor` | `__coerce__`
`wrapper_descriptor` | `__contains__`
`wrapper_descriptor` | `__delattr__`
`wrapper_descriptor` | `__delitem__`
`wrapper_descriptor` | `__delslice__`
`wrapper_descriptor` | `__div__`
`wrapper_descriptor` | `__divmod__`
`wrapper_descriptor` | `__eq__`
`wrapper_descriptor` | `__float__`
`wrapper_descriptor` | `__floordiv__`
`wrapper_descriptor` | `__ge__`
`wrapper_descriptor` | `__getattribute__`
`wrapper_descriptor` | `__getitem__`
`wrapper_descriptor` | `__getslice__`
`wrapper_descriptor` | `__gt__`
`wrapper_descriptor` | `__hash__`
`wrapper_descriptor` | `__hex__`
`wrapper_descriptor` | `__iadd__`
`wrapper_descriptor` | `__iand__`
`wrapper_descriptor` | `__idiv__`
`wrapper_descriptor` | `__ifloordiv__`
`wrapper_descriptor` | `__ilshift__`
`wrapper_descriptor` | `__imod__`
`wrapper_descriptor` | `__imul__`
`wrapper_descriptor` | `__int__`
`wrapper_descriptor` | `__invert__`
`wrapper_descriptor` | `__ior__`
`wrapper_descriptor` | `__ipow__`
`wrapper_descriptor` | `__irshift__`
`wrapper_descriptor` | `__isub__`
`wrapper_descriptor` | `__iter__`
`wrapper_descriptor` | `__itruediv__`
`wrapper_descriptor` | `__ixor__`
`wrapper_descriptor` | `__le__`
`wrapper_descriptor` | `__len__`
`wrapper_descriptor` | `__long__`
`wrapper_descriptor` | `__lshift__`
`wrapper_descriptor` | `__lt__`
`wrapper_descriptor` | `__mod__`
`wrapper_descriptor` | `__mul__`
`wrapper_descriptor` | `__ne__`
`wrapper_descriptor` | `__neg__`
`wrapper_descriptor` | `__nonzero__`
`wrapper_descriptor` | `__oct__`
`wrapper_descriptor` | `__or__`
`wrapper_descriptor` | `__pos__`
`wrapper_descriptor` | `__pow__`
`wrapper_descriptor` | `__radd__`
`wrapper_descriptor` | `__rand__`
`wrapper_descriptor` | `__rdiv__`
`wrapper_descriptor` | `__rdivmod__`
`wrapper_descriptor` | `__repr__`
`wrapper_descriptor` | `__rfloordiv__`
`wrapper_descriptor` | `__rlshift__`
`wrapper_descriptor` | `__rmod__`
`wrapper_descriptor` | `__rmul__`
`wrapper_descriptor` | `__ror__`
`wrapper_descriptor` | `__rpow__`
`wrapper_descriptor` | `__rrshift__`
`wrapper_descriptor` | `__rshift__`
`wrapper_descriptor` | `__rsub__`
`wrapper_descriptor` | `__rtruediv__`
`wrapper_descriptor` | `__rxor__`
`wrapper_descriptor` | `__setattr__`
`wrapper_descriptor` | `__setitem__`
`wrapper_descriptor` | `__setslice__`
`wrapper_descriptor` | `__str__`
`wrapper_descriptor` | `__sub__`
`wrapper_descriptor` | `__truediv__`
`wrapper_descriptor` | `__xor__`
`wrapper_descriptor` | `next`

Method Details

### __new__(S, ...)

T.__new__(S, ...) -> a new object with type S, a subtype of T

  Returns:
    a new object with type S, a subtype of T

Class Variable Details

### __abs__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__abs__' of 'instance' objects>

### __add__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__add__' of 'instance' objects>

### __and__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__and__' of 'instance' objects>

### __call__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__call__' of 'instance' objects>

### __cmp__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__cmp__' of 'instance' objects>

### __coerce__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__coerce__' of 'instance' objects>

### __contains__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__contains__' of 'instance' objects>

### __delattr__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__delattr__' of 'instance' objects>

### __delitem__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__delitem__' of 'instance' objects>

### __delslice__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__delslice__' of 'instance' objects>

### __div__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__div__' of 'instance' objects>

### __divmod__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__divmod__' of 'instance' objects>

### __eq__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__eq__' of 'instance' objects>

### __float__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__float__' of 'instance' objects>

### __floordiv__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__floordiv__' of 'instance' objects>

### __ge__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__ge__' of 'instance' objects>

### __getattribute__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__getattribute__' of 'instance' objects>

### __getitem__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__getitem__' of 'instance' objects>

### __getslice__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__getslice__' of 'instance' objects>

### __gt__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__gt__' of 'instance' objects>

### __hash__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__hash__' of 'instance' objects>

### __hex__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__hex__' of 'instance' objects>

### __iadd__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__iadd__' of 'instance' objects>

### __iand__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__iand__' of 'instance' objects>

### __idiv__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__idiv__' of 'instance' objects>

### __ifloordiv__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__ifloordiv__' of 'instance' objects>

### __ilshift__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__ilshift__' of 'instance' objects>

### __imod__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__imod__' of 'instance' objects>

### __imul__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__imul__' of 'instance' objects>

### __int__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__int__' of 'instance' objects>

### __invert__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__invert__' of 'instance' objects>

### __ior__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__ior__' of 'instance' objects>

### __ipow__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__ipow__' of 'instance' objects>

### __irshift__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__irshift__' of 'instance' objects>

### __isub__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__isub__' of 'instance' objects>

### __iter__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__iter__' of 'instance' objects>

### __itruediv__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__itruediv__' of 'instance' objects>

### __ixor__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__ixor__' of 'instance' objects>

### __le__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__le__' of 'instance' objects>

### __len__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__len__' of 'instance' objects>

### __long__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__long__' of 'instance' objects>

### __lshift__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__lshift__' of 'instance' objects>

### __lt__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__lt__' of 'instance' objects>

### __mod__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__mod__' of 'instance' objects>

### __mul__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__mul__' of 'instance' objects>

### __ne__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__ne__' of 'instance' objects>

### __neg__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__neg__' of 'instance' objects>

### __nonzero__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__nonzero__' of 'instance' objects>

### __oct__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__oct__' of 'instance' objects>

### __or__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__or__' of 'instance' objects>

### __pos__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__pos__' of 'instance' objects>

### __pow__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__pow__' of 'instance' objects>

### __radd__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__radd__' of 'instance' objects>

### __rand__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__rand__' of 'instance' objects>

### __rdiv__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__rdiv__' of 'instance' objects>

### __rdivmod__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__rdivmod__' of 'instance' objects>

### __repr__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__repr__' of 'instance' objects>

### __rfloordiv__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__rfloordiv__' of 'instance' objects>

### __rlshift__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__rlshift__' of 'instance' objects>

### __rmod__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__rmod__' of 'instance' objects>

### __rmul__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__rmul__' of 'instance' objects>

### __ror__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__ror__' of 'instance' objects>

### __rpow__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__rpow__' of 'instance' objects>

### __rrshift__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__rrshift__' of 'instance' objects>

### __rshift__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__rshift__' of 'instance' objects>

### __rsub__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__rsub__' of 'instance' objects>

### __rtruediv__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__rtruediv__' of 'instance' objects>

### __rxor__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__rxor__' of 'instance' objects>

### __setattr__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__setattr__' of 'instance' objects>

### __setitem__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__setitem__' of 'instance' objects>

### __setslice__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__setslice__' of 'instance' objects>

### __str__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__str__' of 'instance' objects>

### __sub__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__sub__' of 'instance' objects>

### __truediv__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__truediv__' of 'instance' objects>

### __xor__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__xor__' of 'instance' objects>

### next

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper 'next' of 'instance' objects>

Generated by Epydoc 1.1 on Thu May 8 13:19:29 2003 | http://epydoc.sf.net